Balance

For Iris to fetch an updated account balance for a player whenever the game needs.

API Request URL

POST /Balance

circle-info

To receive a player's latest balance.

API Request Body Example

{
    "traceId": "23289jfjk902",
    "playerId": "nexid",
    "currency" "IDR"
}

Request Fields

Name
Type
Description

traceId*

String

Used to track end to end requests for all transactions

playerId*

String

Unique player ID

currency*

String

ISO-4217 currency code List of currency supported

API Response Example

{
    "traceId": "23289jfjk902",
    "statusCode": 10001,
    "message": "success",
    "data":{
        "balance": "1000200.00",
        "currency": "IDR"
        }
}

Response Fields

Name
Type
Description

traceId*

String

Used to track end to end requests for all transactions

statusCode*

Integer

Status of request

List of status codes

message

String

Custom message

balance*

String

Player's account balance

currency*

String

ISO-4217 currency code List of currency supported

Last updated